@font-face {
  font-family: "SunBatang-Light";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_eight@1.0/SunBatang-Light.woff")
    format("woff");
  font-weight: normal;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
}

.a11y-hidden {
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  width: 1px;
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
}

input,
textarea {
  outline: none;
}

html,
body {
  width: 100vw;
  height: 100vh;
  background: #f0e4d8;
  font-family: "SunBatang-Light";
}

/* 키보드 사용자가 포커스할 때만 아웃라인 표시. */
:focus {
  outline: none;
}
:focus-visible {
  outline: 1px solid black;
}
.js-focus:focus {
  outline: none;
}

#wrapper {
  width: 80%;
  height: 100%;
  margin: 0 auto;
  position: relative;
}

/* modal ---------------------------------------------------- */
.modal_bg {
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  position: fixed;
  left: 0;
  top: 0;
  z-index: 999;
  backdrop-filter: blur(5px);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.6s, visibility 0.6s;
}

.modal {
  width: 600px;
  height: auto;
  padding: 20px 40px 40px 40px;
  z-index: 99999;

  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  background: #fff;
  border-radius: 30px;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.6s, visibility 0.6s;
  overflow: hidden;
}

.fade-in {
  opacity: 1;
  visibility: visible;
}

.modal .modal-wrapper {
  display: flex;
  flex-flow: column wrap;
}

.modal .modal-wrapper .modal-close {
  order: 1;
  text-align: right;
  margin-bottom: 20px;
}

.modal .modal-wrapper .modal-close .close {
  display: inline-block;
}

.modal .modal-wrapper .modal-close .close::after {
  display: inline-block;
  content: "\00d7";
  font-size: 25pt;
  color: #aaa;
}
.modal .modal-wrapper .modal-close .close:hover::after {
  color: #111;
}

.modal .modal-wrapper .modal-body {
  position: relative;
  width: 100%;
  order: 2;

  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.modal-body::-webkit-scrollbar {
  display: none; /* Chrome, Safari, Opera*/
}

.modal .modal-wrapper .modal-body #modalThumbnail {
  float: left;
  width: 35%;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 3px 10px;
}

.modal .modal-wrapper .modal-body #modalInfo {
  float: right;
  width: 60%;
  font-size: 14px;
}

.modal .modal-wrapper .modal-body #modalInfo #modalTitle {
  font-weight: bold;
  font-size: 16px;
}

.modal .modal-wrapper .modal-body #modalInfo #modalDate {
  margin-top: 30px;
  text-align: right;
  color: #aaa;
}

/* 왼쪽 검색 섹션 ----------------------------------------------------*/
#section_left {
  width: 30%;
  height: 100%;
  display: flex;
  position: fixed;
  justify-content: center;
  align-items: center;
  overflow: hidden;
}

#wrap {
  width: 80%;
  justify-content: center;
  align-items: center;
}

.mainTitle {
  margin-bottom: 50px;
}

.mainTitle h1 {
  font-size: 40px;
  font-weight: normal;
}

#section_left #wrap .searchResult img {
  width: 120px;
}

#section_left #wrap .searchResult #title {
  font-size: 15px;
  font-weight: normal;
  margin-top: 20px;
}

#section_left #wrap .searchResult #author {
  font-size: 12px;
  color: #aaa;
  margin-top: 4px;
  margin-bottom: 0;
}

#commentForm {
  display: block;
  width: 300px;
}

#comment {
  resize: none;
  background: inherit;
  border-radius: 10px;
  border: 1px solid #bca888;
  letter-spacing: 1px;
  padding: 5px 10px;
  width: 80%;
  font-size: 14px;
}

#commentSaveBt {
  width: 60px;
  height: 30px;
  margin-top: 10px;
  border-radius: 20px;
  background: #bca888;
  border: none;
  color: #fff;
  font-size: 13px;
  margin-bottom: 10px;
}

.sort {
  cursor: pointer;
}

/* 제목 검색 폼 ---------------------------------------------------------- */
.input-container {
  width: 300px;
  margin: 15px 0;
  position: relative;
  z-index: 20;
}

input[type="text"] {
  font-size: 14px;
  color: #111;
  width: 70%;
  box-sizing: border-box;
  letter-spacing: 1px;
  background-color: inherit;
  border: 1px solid #bca888;
  border-radius: 10px;
  padding: 5px 0 5px 30px;
}

.input-container::before {
  background: url("../images/search.png") no-repeat left -2px;
  background-size: 17px;
  content: "";
  display: inline-block;
  height: 25px;
  width: 25px;
  position: absolute;
  margin: 8px 10px;
}

.searchResult img {
  border-radius: 3px;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 5px 10px;
}

/* 오른쪽 책갈피 섹션 -------------------------------------------------- */
#section_right {
  width: 60%;
  height: 100%;
  position: absolute;
  right: 0;
}

#container {
  width: 100%;
  padding: 30px;
}

.bookMark {
  width: 180px;
  background: #2f4842;
  color: #fff;
  padding: 10px;
  margin-bottom: 20px;
  cursor: pointer;
}

.commentBox {
  font-weight: bold;
  margin-bottom: 60px;
}

.titleBox {
  font-size: 10px;
}

.searchSort {
  position: fixed;
  right: 0;
  top: 0;
  padding-top: 10px;

  z-index: 99;
}

.sortBtn {
  margin: 5px 20px;
  padding: 6px;
  font-size: 12px;
  background-color: #fff;

  border-radius: 10px;
}

/* 책갈피 검색 ------------------------------------------------------------- */

.form {
  position: fixed;
  position: absolute;
  top: 50px;
  right: 20px;
  transition: all 1s;
  width: 50px;
  height: 50px;
  background: white;
  box-sizing: border-box;
  border-radius: 25px;
  border: 4px solid white;
  padding: 5px;
}

.form input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 42.5px;
  line-height: 30px;
  outline: 0;
  border: 0;
  display: none;
  font-size: 1em;
  border-radius: 20px;
  padding: 0 20px;
}

.fa {
  box-sizing: border-box;
  padding: 10px;
  width: 42.5px;
  height: 42.5px;
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 50%;
  color: #bca888;
  text-align: center;
  font-size: 1.2em;
  transition: all 1s;
}

.form:hover,
.form:valid {
  width: 200px;
  cursor: pointer;
}

.form:hover input,
.form:valid input {
  display: block;
}

.form:hover .fa,
.form:valid .fa {
  background: #bca888;
  color: white;
}

.form a {
  display: none;
  position: relative;
  top: 50px;
  bottom: 0;
  left: 0;
  right: 0;
  font-size: 20px;
  color: white;
  text-align: center;
  width: 100%;
  text-decoration: none;
  text-align: right;
}

.form:valid a {
  display: block;
}

/* 모바일용 css ------------------------------------------------------- */
@media all and (max-width: 768px) {
  html,
  body {
    background-color: #fff;
  }

  #wrapper {
    width: 100%;
  }

  .modal {
    width: 70%;
    overflow: hidden;
    padding: 30px;
  }

  .modal-body {
    position: relative;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    display: flex;
    flex-flow: column wrap;
  }

  #modalThumbnail {
    display: block;
    width: 50%;
    margin: 0 auto;
    transform: translateY(0);
  }

  .modal .modal-wrapper .modal-body #modalInfo {
    width: 100%;
    font-size: 14px;
  }

  #modalTitle {
    font-weight: bold;
    font-size: 16px;
    text-align: center;
    margin-top: 40px;
  }

  #modalDate {
    position: static;
    margin: 20px 0 0 0;
    text-align: right;
  }

  .close {
    position: relative;
    top: -10px;
  }

  #section_left {
    width: 100%;
    height: auto;
    background: #f0e4d8;
    position: relative;
    display: block;
    position: fixed;
    padding: 50px;
    z-index: 99;
  }

  #section_right {
    width: 100%;
    height: 75%;
    margin-top: 210px;
  }

  #section_left #wrap {
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
  }

  .searchResult {
    display: none;
    left: 50px;
    width: 30%;
    padding: 0 10px;
    order: 3;
  }

  #commentForm {
    display: none;
    width: 65%;
    order: 4;
  }

  #commentForm #comment {
    width: 100%;
  }

  #commentSaveBt {
    float: right;
  }

  .mainTitle {
    width: 100%;
    margin-bottom: 25px;
    order: 1;
  }

  #section_left #wrap .input-container {
    width: 100%;
    order: 2;
  }

  input[type="text"] {
    width: 100%;
  }

  #container {
    width: 90%;
    margin: 0 auto;
  }

  .searchSort {
    position: fixed;
    top: 180px;
    right: -10px;
    padding-top: 10px;
    z-index: 20;
  }
}
